Mailinglist Archive: opensuse-factory (577 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200201 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Tue, 04 Feb 2020 12:01:50 +0000
  • Message-id: <158081771050.7210.4521747335211913030@go-agent-stagingbot-2>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200201

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
389-ds (1.4.2.5~git0.d52700340 -> 1.4.3.1~git0.a08202a5b)
ImageMagick (7.0.9.17 -> 7.0.9.19)
Mesa
Mesa-drivers
MozillaThunderbird (68.4.1 -> 68.4.2)
QR-Code-generator
apparmor
biosdevname
bluez-qt
btrfsprogs
cpupower
crash (7.2.6_k5.4.14_1 -> 7.2.7_k5.4.14_2)
dhcp
emacs
geronimo-specs
ghex
giggle
glabels
gnome-color-manager
gtksourceview4
heaptrack
icu4j
kernel-firmware (20200114 -> 20200122)
libgcrypt
libqt5-qtbase (5.14.0 -> 5.14.1)
libqt5-qtconnectivity (5.14.0 -> 5.14.1)
libqt5-qtdeclarative (5.14.0 -> 5.14.1)
libqt5-qtgraphicaleffects (5.14.0 -> 5.14.1)
libqt5-qtimageformats (5.14.0 -> 5.14.1)
libqt5-qtlocation (5.14.0 -> 5.14.1)
libqt5-qtmultimedia (5.14.0 -> 5.14.1)
libqt5-qtnetworkauth (5.14.0 -> 5.14.1)
libqt5-qtquickcontrols (5.14.0 -> 5.14.1)
libqt5-qtquickcontrols2 (5.14.0 -> 5.14.1)
libqt5-qtscript (5.14.0 -> 5.14.1)
libqt5-qtsensors (5.14.0 -> 5.14.1)
libqt5-qtserialport (5.14.0 -> 5.14.1)
libqt5-qtspeech (5.14.0 -> 5.14.1)
libqt5-qtsvg (5.14.0 -> 5.14.1)
libqt5-qttools (5.14.0 -> 5.14.1)
libqt5-qttranslations (5.14.0 -> 5.14.1)
libqt5-qtvirtualkeyboard (5.14.0 -> 5.14.1)
libqt5-qtwayland (5.14.0 -> 5.14.1)
libqt5-qtwebchannel (5.14.0 -> 5.14.1)
libqt5-qtwebengine (5.14.0 -> 5.14.1)
libqt5-qtwebsockets (5.14.0 -> 5.14.1)
libqt5-qtx11extras (5.14.0 -> 5.14.1)
libqt5-qtxmlpatterns (5.14.0 -> 5.14.1)
libsmbios
libyui-ncurses (2.54.4 -> 2.54.5)
libzip (1.5.2 -> 1.6.0)
libzypp (17.21.0 -> 17.22.0)
llvm9
multipath-tools
mutt
nautilus-share
ncurses
netcfg
open-vm-tools
paprefs
perl-Template-Toolkit (3.006 -> 3.007)
perl-YAML (1.29 -> 1.30)
perl-YAML-LibYAML (0.80 -> 0.81)
presage
python-SQLAlchemy (1.3.12 -> 1.3.13)
python-certifi (2019.9.11 -> 2019.11.28)
python-psutil
qemu
qemu-linux-user
qpdf (9.1.0 -> 9.1.1)
rdma-core
redis
rubygem-byebug (11.0.1 -> 11.1.1)
rubygem-rspec-core (3.9.0 -> 3.9.1)
rubygem-rspec-mocks (3.9.0 -> 3.9.1)
rubygem-rspec-support (3.9.0 -> 3.9.2)
sendmail
sharutils
snapper (0.8.8 -> 0.8.9)
spec-cleaner (1.1.7 -> 1.1.8)
speech-dispatcher
sqlite3 (3.30.1 -> 3.31.1)
suil
tpm2-0-tss
tracker
virt-what
virtualbox (6.0.14 -> 6.1.2)
wireguard (0.0.20200121_k5.4.14_1 -> 0.0.20200128_k5.4.14_2)
xdm
yast2 (4.2.59 -> 4.2.61)
yast2-add-on (4.2.13 -> 4.2.15)
yast2-metapackage-handler (4.1.0 -> 4.1.1)
yast2-nfs-client (4.2.5 -> 4.2.6)
yast2-nfs-server (4.2.3 -> 4.2.4)
yast2-packager (4.2.44 -> 4.2.47)
yast2-storage-ng (4.2.77 -> 4.2.80)
yast2-trans (84.87.20200120.e0f29e95cb -> 84.87.20200126.9a7b6214a1)
yast2-users (4.2.7 -> 4.2.8)

=== Details ===

==== 389-ds ====
Version update (1.4.2.5~git0.d52700340 -> 1.4.3.1~git0.a08202a5b)
Subpackages: lib389 libsvrcore0

- Update to version 1.4.3.1~git0.a08202a5b:
* Bump version to 1.4.3.1
* Ticket 50798 - incorrect bytes in format string
* Issue 50545 - Add the new replication monitor functionality to UI
* Issue 50806 - Fix minor issues in lib389 health checks
* Issue: 50690 - Port Password Storage test cases from TET to python3 part 1
* Issue 49761 - Fix CI test suite issues
* Issue 49761 - Fix CI test suite issues
* Issue 50754 - Add Restore Change Log option to CLI
* Issue: 48055 - CI test - automember_plugin(part2)
* Ticket 50667 - dsctl -l did not respect PREFIX
* Issue 50780 - More CLI fixes
* Ticket 50649 - lib389 without defaults.inf
* Issue 50780 - Fix UI issues
* Ticket 50727 - correct mistaken options in filter validation patch
* Issue 50779 - lib389 - conflict compare fails for DN's with spaces
* Set branch version to 1.4.3.0
* Ticket #49761 - Fix CI test suite issues
* Issue 50499 - Fix npm audit issues
* Issue 50774 - Account.enroll_certificate() should not check for DS version
* Issue 50771 - 1.4.2.5 doesn't compile due to error ModuleNotFoundError: No
module named 'pkg_resources.extern'
* Issue 50758 - Need to enable CLI arg completion
* Ticket 50709: Several memory leaks reported by Valgrind for 389-ds
1.3.9.1-10
* Issue: 50690 - Port Password Storage test cases from TET to python3(create
required types in password_plugins)
* Issue: 48851 - Investigate and port TET matching rules filter tests(last
test cases for match index)
* Issue 50761 - Parametrized tests are missing ':parametrized' value

==== ImageMagick ====
Version update (7.0.9.17 -> 7.0.9.19)
Subpackages: ImageMagick-config-7-SUSE ImageMagick-extra libMagick++-7_Q16HDRI4
libMagickCore-7_Q16HDRI7 libMagickWand-7_Q16HDRI7 perl-PerlMagick

- version update to 7.0.9.19
* Alpha draw primitive no longer returns a parser exception.
* Support 32-bit tiled TIFF images.
* New -connected-component options (reference
https://imagemagick.org/script/connected-components.php).
* Make PNG creation reproducible (reference
https://github.com/ImageMagick/ImageMagick/pull/1270).
* Refactor uninitialize variable patch for -fx "while(,)" expression.

==== Mesa ====
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- require llvm9 (jsc#IBM-369, jsc#SLE-7452)

==== Mesa-drivers ====
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- require llvm9 (jsc#IBM-369, jsc#SLE-7452)

==== MozillaThunderbird ====
Version update (68.4.1 -> 68.4.2)
Subpackages: MozillaThunderbird-translations-common

- Mozilla Thunderbird 68.4.2
* Calendar: Task and Event tree colours adjusted for the dark theme
* Retrieval of S/MIME certificates from LDAP failed
* Address-parsing crash on some IMAP servers when
mail.imap.use_envelope_cmd is set
* Incorrect forwarding of HTML messages caused SMTP servers to
respond with a timeout
* Calendar: Various parts of the calendar UI stopped working when
a second Thunderbird window opened

==== QR-Code-generator ====

- Drop not really needed patch:
* 0001-Do-not-append-to-C-XX-FLAGS-but-just-set-them-if-not.patch
- Fix build on SLE12

==== apparmor ====
Subpackages: apparmor-abstractions apparmor-docs apparmor-parser
apparmor-parser-lang apparmor-profiles apparmor-utils apparmor-utils-lang
pam_apparmor pam_apparmor-32bit perl-apparmor python3-apparmor

- add usr-etc-abstractions-base-nameservice.diff to adjust
abstractions/base and nameservice for /usr/etc/ (boo#1161756)

==== biosdevname ====

- BuildRequire pkgconfig(libudev) instead of libudev-devel: allow
OBS to shortcut through the -mini flavors.

==== bluez-qt ====
Subpackages: bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- BuildRequire pkgconfig(udev) instead of udev: allow OBS to
shortcut through the -mini flavor.

==== btrfsprogs ====
Subpackages: btrfsprogs-udev-rules libbtrfs0

- BuildRequire pkgconfig(udev) instead of udev: Allow OBS to
shortcut through the -mini flavor.
- Use pkg-config --modversion udev to identify the current udev
version. This is more portable and supports the -mini flavors.
- Update to 5.4
* support new hash algorithms (kernel 5.5):
* mkfs.btrfs and btrfs-convert with --csum, crc32c, xxhash, sha256, blake2
* mkfs: support new raid1c3 and raid1c4 block group profiles (kernel 5.5)
* check:
* --repair delays start with a warning, can be skipped using --force
* enhanced detetion of inode types from partial data, more options for
repair
* receive: fix quiet option
* image: speed up chunk loading
* fi usage:
* sort devices by id
* print ratio of used/total per block group type
* rescue zero-log: reset the log pointers directly, avoid reading some other
potentially damaged structures
* new make target install-static to install only static binaries/libraries
* other
* docs updates
* new tests
* cleanups and refactoring
- Update to 5.3.1:
* libbtrfs: fix link breakage due to missing symbols
- Updaet to 5.3:
* mkfs:
* new option to specify checksum algorithm (only crc32c)
* fix xattr enumeration
* dump-tree: BFS (breadth-first) traversal now default
* libbtrfsutil: remove stale BTRFS_DEV_REPLACE_ITEM_STATE_x defines
* ci: add support for gitlab
* other:
* preparatory work for more checksum algorithms
* docs update
* switch to docbook5 backend for asciidoc
* fix build on uClibc due to missing backtrace()
* lots of printf format fixups
- Enable build of python-bindings for libbtrfsutil
- Update to 5.2.2:
* check:
* fix false report of wrong byte count for orphan inodes
* option -E was not handled correctly
* new check and repair for root item generation
* balance: check for full-balance before background fork
* mkfs: check that total device size does not overflow 16EiB
* dump-tree: print DEV_STATS key type
* other:
* new and updated tests
* doc fixups and updates
- update to 5.2.1
* scrub status: fix ETA calculation after resume
* check: fix crash when using -Q
* restore: fix symlink owner restoration
* mkfs: fix regression with mixed block groups
* core: fix commit to process all delayed refs
* other:
* minor cleanups
* test updates
- update to 5.2
* subvol show: print qgroup information when available
* scrub:
* status: show ETA, revamp the whole output
* fix reading/writing of last position on resume/cancel, potentially
skipping part of the filesystem on next resume
* dump-tree: add new option --noscan to use only devices given on the
commandline
* all-in-one binary (busybox style) with mkfs.btrfs, btrfs-image,
btrfs-convert, btrfstune
* image: fix hang when there are more than 32 cpus online and compression is
requested
* convert: fix some false ENOSPC errors when --rootdir is used
* build: fix gcc9 warnings
* core changes
* command handling cleanups
* dead code removal
* cmds-* files moved to cmds/
* other shared userspace files moved to common/
* utils.c split into more files
* preparatory work for more output formats
* libbtrfsutil: fix unaligned access
* other
* new and updated tests
* fix tests so CI passes again
* sb-mod can modify more superblock items
- update to version 5.1
* repair: flush/FUA support to avoid breaking metadata COW
* file extents repair no longer relies on data in extent tree
* lowmem: fix false error reports about gaps between extents
* add inode mode check and repair for various objects
* add check for invalid combination of nocow/compressed extents
* device scan option to forget scanned devices [new]
* mkfs: use same chunk size as kernel for initial creation
* dev-repace: better report when other exclusive operation runs
* help for sntax errors on command lines, print relevant msgs
* defrag: able to open files in RO mode
* dump-tree: --block can be specified multiple times
- update to version 4.20.2
* dump-super: minor output fixup
* revert fix for prefix detection of receive path, this is temporary and
unbreaks existing user setups
- Use correct path for dracut-fsck-help.txt in module-setup.sh (bsc#1122539)
* Remove module-setup.sh
* Add module-setup.sh.in
- Advise user of fs recovery options when we fail to mount (fate#320443,
bsc#1122539)
* Add dracut-fsck-help.txt
* Add module-setup.sh
- update to version 4.20.1
* libbtrfs: fix build of external tools due to missing symbols
* ci: enable library test
- update to version 4.20
* new feature: metadata uuid
* lightweight change of UUID without rewriting all metadata
(incompatible change)
* done by btrfstune -m/-M, needs kernel support, 5.0+
* image:
* fix block groups when restoring from multi-device image
* only enlarge result image if it's a regular file
* check
* more device extent checks and fixes
* can repair dir item with mismatched hash
* mkfs: uuid tree created with proper contents
* fix mount point detection due to partial prefix match
* other:
* new tests, build fixes, doc updates
* libbtrfsutil: fix tests if kernel lacks support for new
subvolume ioctls
- partial cleanup with spec-cleaner
- drop 0001-btrfs-progs-Add-support-for-metadata_uuid-field.patch
- drop 0002-btrfs-progs-btrfstune-Add-support-for-changing-the-u.patch
- drop 0003-btrfs-progs-Remove-fsid-metdata_uuid-fields-from-fs_.patch
- drop 0004-btrfs-progs-Remove-btrfs_fs_info-new_fsid.patch
- drop 0005-btrfs-progs-Directly-pass-root-to-change_devices_uui.patch
- Use %license instead of %doc [bsc#1082318]
- Implement fate#325871
* Added 0001-btrfs-progs-Add-support-for-metadata_uuid-field.patch
* Added 0002-btrfs-progs-btrfstune-Add-support-for-changing-the-u.patch
* Added 0003-btrfs-progs-Remove-fsid-metdata_uuid-fields-from-fs_.patch
* Added 0004-btrfs-progs-Remove-btrfs_fs_info-new_fsid.patch
* Added 0005-btrfs-progs-Directly-pass-root-to-change_devices_uui.patch
- update to version 4.19.1
* check
* many lowmem mode improvements
* properly report qgroup mismatch errors
* check symlinks with append/immutable flags
* fi usage
* correctly calculate allocated/unallocated for raid10
* minor output updates
* mkfs
* detect ENOSPC on thinly provisioned devices
* fix spurious EEXIST during directory traversal
* restore: fix relative path for restore target
* dump-tree: print symbolic tree names for backrefs
* send: fix regression preventing send -p with subvolumes mounted on "/"
* corrupt-tree: refactoring and command line updates
* build
* make it work with e2fsprogs < 1.42 again
* restore support for autoconf 2.63
* detect if -std=gnu90 is supported
* other
* new tests
* cleanups
- update to version 4.19
* check: support repair of fs with free-space-tree feature
* core:
* port delayed ref infrastructure from kernel
* support write to free space tree
* dump-tree: new options for BFS and DFS enumeration of b-trees
* quota: rescan is now done automatically after 'assign'
* btrfstune: incomplete fix to uuid change
* subvol: fix 255 char limit checks
* completion: complete block devices and now regular files too
* docs:
* ship uncompressed manual pages
* btrfsck uses a manual page link instead of symlink
* other
* improved error handling
* docs
* new tests
- update to version 4.17.1
* check:
* add ability to fix wrong ram_bytes for compressed inline files
* beautify progress output
* btrfstune: allow to continue uuid change after unclean interruption
* several fuzz fixes:
* detect overalpping chunks
* chunk loading error handling
* don't crash with unexpected root refs to extents
* relax option parsing again to allow mixing options and non-options
arguments
* fix qgroup rescan status reporting
* build:
* drop obsolete dir-test
* new configure option to disable building of tools
* add compatibility options --disable-static and --disable-shared
* other:
* cleanups and preparatory work
* new test images
- spec cleanup
- update to version 4.17
* check
* many lowmem mode improvements
* properly report qgroup mismatch errors
* check symlinks with append/immutable flags
* fi usage
* correctly calculate allocated/unallocated for raid10
* minor output updates
* mkfs
* detect ENOSPC on thinly provisioned devices
* fix spurious EEXIST during directory traversal
* restore: fix relative path for restore target
* dump-tree: print symbolic tree names for backrefs
* send: fix regression preventing send -p with subvolumes mounted on "/"
* corrupt-tree: refactoring and command line updates
* build
* make it work with e2fsprogs < 1.42 again
* restore support for autoconf 2.63
* detect if -std=gnu90 is supported
- Removed patches (upstreamed):
* 0001-btrfs-progs-convert-fix-support-for-e2fsprogs-1.42.patch
* 0002-btrfs-progs-build-autoconf-2.63-compatibility.patch
* 0003-btrfs-progs-build-detect-whether-std-gnu90-is-suppor.patch
- Don't require libzstd-devel-static on builds that don't use it.
- fix installation of btrfs.5.gz
- Fix building on SLE11:
* btrfs-progs: convert: fix support for e2fsprogs < 1.42
* btrfs-progs: build: detect whether -std=gnu90 is supported
* btrfs-progs: build: autoconf 2.63 compatibility
* Fixed mismerged addition of libbtrfsutil1 package description
- Added patches:
* 0001-btrfs-progs-convert-fix-support-for-e2fsprogs-1.42.patch
* 0002-btrfs-progs-build-autoconf-2.63-compatibility.patch
* 0003-btrfs-progs-build-detect-whether-std-gnu90-is-suppor.patch
- update to version 4.16.1
* remove obsolete tools: btrfs-debug-tree, btrfs-zero-log, btrfs-show-super,
btrfs-calc-size
* sb-mod: new debugging tool to edit superblock items
* mkfs: detect if thin-provisioned device does not have enough space
* check: don't try to verify checksums on metadata dump images
* build: fail documentation build if xmlto is not found
* build: fix build of btrfs.static
- Remove patch: 0001-btrfs-progs-build-fix-static-build.patch (upstream)
- Update initrd script
- update to version 4.16
* libbtrfsutil - new LGPL library to wrap userspace functionality
* several 'btrfs' commands converted to use it:
* properties
* filesystem sync
* subvolume set-default/get-default/delete/show/sync
* python bindings, tests
* build
* use configured pkg-config path
* CI: add python, musl/clang, built dependencies caching
* convert: build fix for e2fsprogs 1.44+
* don't install library links with wrong permissions
* fixes
* prevent incorrect use of subvol_strip_mountpoint
* dump-super: don't verify csum for unknown type
* convert: fix inline extent creation condition
* check:
* lowmem: fix false alert for 'data extent backref lost for snapshot'
* lowmem: fix false alert for orphan inode
* lowmem: fix false alert for shared prealloc extents
* mkfs:
* add UUID and otime to root of FS_TREE - with the uuid, snapshots will
be now linked to the toplevel subvol by the parent UUID
* don't follow symlinks when calculating size
* pre-create the UUID tree
* fix --rootdir with selinux enabled
* dump-tree: add option to print only children nodes of a given block
* image: handle missing device for RAID1
* other
* new tests
* test script cleanups (quoting, helpers)
* tool to edit superblocks
* updated docs
- Add patch: 0001-btrfs-progs-build-fix-static-build.patch
- Add new library packages: libbtrfsutil
- use documentation shipped by upstream tar, reduce dependencies
- enable static build again, zstd now has static version
- update to version 4.15
* mkfs --rootdir reworked, does not minimize the final image but can be still
done using a new option --shrink
* fix allocation of system chunk, don't allocate from the reserved area
* other
* new and updated tests
* cleanups, refactoring
* doc updates
- spec: fix distro version condition
- update to version 4.14.1
* dump-tree: print times of root items
* check: fix several lowmem mode bugs
* convert: fix rollback after balance
* other
* new and updated tests, enabled lowmem mode in CI
* docs updates
* fix travis CI build
* build fixes
* cleanups
- update to version 4.14
* build: libzstd now required by default
* check: more lowmem mode repair enhancements
* subvol set-default: also accept path
* prop set: compression accepts no/none, same as ""
* filesystem usage: enable for filesystem on top of a seed device
* rescue: new command fix-device-size
* other
* new tests
* cleanups and refactoring
* doc updates
- Removed patches:
- rollback-regression-fix.patch - upstreamed
- spec: disable static build, missing libzstd-devel-static
- spec: disable zstd support for non-Tumbleweed distros

==== cpupower ====
Subpackages: libcpupower0

- Add mainline patch with proper patch header and filename:
D libcpupower_fix_api_cpufreq_get_frequencies_breakage.patch
A cpupower-Revert-library-ABI-changes-from-commit-ae2917093fb60bdc1ed3e.patch
- Fix manpage (bsc#1162142)
A Correction-to-manpage-of-cpupower.patch

==== crash ====
Version update (7.2.6_k5.4.14_1 -> 7.2.7_k5.4.14_2)

- Upgrade source tarball to version 7.2.7 to support currently used
kernel versions.
- drop the following patch that is obsoleted by souce upgrade:
* crash-allow-kmem-section-is-early.patch

==== dhcp ====
Subpackages: dhcp-client dhcp-relay dhcp-server

- Change remaining systemd requires to weak dependencies, too.
- Don't require net-tools with SLE15 or newer, it does not contain
anything anymore we need
- Get ride of coreutils dependency

==== emacs ====
Subpackages: emacs-info emacs-nox emacs-x11 etags

- BuildRequire pkgconfig(libudev) instead of libudev-devel: allow
OBS to shortcut through the -mini flavors.

==== geronimo-specs ====

- On supported platforms, avoid building with OpenJ9, in order to
prevent build cycles.

==== ghex ====
Subpackages: ghex-lang libgtkhex-3-0

- No longer recommend -lang: supplements are in use

==== giggle ====
Subpackages: giggle-lang

- No longer recommend -lang: supplements are in use

==== glabels ====
Subpackages: glabels-lang

- No longer recommend -lang: supplements are in use

==== gnome-color-manager ====
Subpackages: gnome-color-manager-lang

- Replace docbook-utils with docbook-utils-minimal BuildRequires
for manpage generation, avoids texlive dependency.

==== gtksourceview4 ====
Subpackages: gtksourceview4-lang libgtksourceview-4-0 typelib-1_0-GtkSource-4

- No longer recommend -lang: supplements are in use
- Add pkgconfig(fribidi) BuildRequires: meson checks for it.

==== heaptrack ====
Subpackages: heaptrack-gui heaptrack-lang

- Enable zstd support

==== icu4j ====

- Remove build-dependency on java-javadoc, since it is not
necessary with this version.

==== kernel-firmware ====
Version update (20200114 -> 20200122)
Subpackages: kernel-firmware-all kernel-firmware-amdgpu kernel-firmware-ath10k
kernel-firmware-atheros kernel-firmware-bluetooth kernel-firmware-bnx2
kernel-firmware-brcm kernel-firmware-chelsio kernel-firmware-dpaa2
kernel-firmware-i915 kernel-firmware-intel kernel-firmware-iwlwifi
kernel-firmware-liquidio kernel-firmware-marvell kernel-firmware-media
kernel-firmware-mediatek kernel-firmware-mellanox kernel-firmware-mwifiex
kernel-firmware-network kernel-firmware-nfp kernel-firmware-nvidia
kernel-firmware-platform kernel-firmware-qlogic kernel-firmware-radeon
kernel-firmware-realtek kernel-firmware-serial kernel-firmware-sound
kernel-firmware-ti kernel-firmware-ueagle kernel-firmware-usb-network ucode-amd

- Update to version 20200122 (git commit 1eb2408c6fea):
* linux-firmware: Update firmware file for Intel Bluetooth AX200
* linux-firmware: Update firmware file for Intel Bluetooth AX201
* linux-firmware: Update firmware file for Intel Bluetooth 9560
* linux-firmware: Update firmware file for Intel Bluetooth 9260
* nvidia: add TU102/TU104/TU106 signed firmware

==== libgcrypt ====
Subpackages: libgcrypt20 libgcrypt20-32bit libgcrypt20-hmac

- FIPS: libgcrypt DSA PQG parameter generation: Missing value [bsc#1161219]
- FIPS: libgcrypt DSA PQG verification incorrect results [bsc#1161215]
- FIPS: libgcrypt RSA siggen/keygen: 4k not supported [bsc#1161220]
* Add patch from Fedora libgcrypt-1.8.4-fips-keygen.patch
- FIPS: RSA/DSA/ECDSA are missing hashing operation [bsc#1155337]
* Add libgcrypt-FIPS-RSA-DSA-ECDSA-hashing-operation.patch
- Fix tests in FIPS mode:
* Fix tests: basic benchmark bench-slope pubkey t-cv25519 t-secmem
* Add patch libgcrypt-fix-tests-fipsmode.patch
- Fix test dsa-rfc6979 in FIPS mode:
* Disable tests in elliptic curves with 192 bits which are not
recommended in FIPS mode
* Add patch libgcrypt-dsa-rfc6979-test-fix.patch
- CMAC AES and TDES FIPS self-tests:
* CMAC AES self test missing [bsc#1155339]
* CMAC TDES self test missing [bsc#1155338]
- Add libgcrypt-CMAC-AES-TDES-selftest.patch

==== libqt5-qtbase ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5Concurrent5 libQt5Core5 libQt5DBus5 libQt5Gui5
libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql
libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5
libqt5-qtbase-platformtheme-gtk3

- Update to 5.14.1:
* New bugfix release
* Fixes CVE-2020-0570
* For more details please see:
http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.14.1/?h=v5.14.1
- Drop patch, should be addressed by applications meanwhile:
* 0001-Revert-Always-escape-the-table-names-when-creating-t.patch
- Drop patches, now upstream:
* 0001-Revert-Fix-text-rendering-regression-on-semi-transpa.patch
* 0002-Revert-Fix-crash-with-gamma-corrected-text-blending-.patch
* 0003-Revert-Handle-transparent-pen-color-in-fast-text-pat.patch

==== libqt5-qtconnectivity ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5Bluetooth5 libQt5Bluetooth5-imports libQt5Nfc5
libQt5Nfc5-imports libqt5-qtconnectivity-tools

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtconnectivity.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtdeclarative ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtdeclarative.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtgraphicaleffects ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtgraphicaleffects.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtimageformats ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtimageformats.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtlocation ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5Location5 libQt5Positioning5 libQt5PositioningQuick5

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtlocation.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtmultimedia ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtmultimedia.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtnetworkauth ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtnetworkauth.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtquickcontrols ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtquickcontrols.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtquickcontrols2 ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5QuickControls2-5 libQt5QuickTemplates2-5

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtquickcontrols2.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtscript ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtscript.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtsensors ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5Sensors5 libQt5Sensors5-imports

- Update to 5.14.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtsensors.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtserialport ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtserialport.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtspeech ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5TextToSpeech5 libqt5-qtspeech-plugin-speechd

- Update to 5.14.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtspeech.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtsvg ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtsvg.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qttools ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5Designer5 libQt5Help5 libqt5-qdbus libqt5-qtpaths

- Update to 5.14.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qttools.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qttranslations ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qttranslations.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtvirtualkeyboard ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5HunspellInputMethod5 libQt5VirtualKeyboard5
libqt5-qtvirtualkeyboard-hunspell

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtvirtualkeyboard.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtwayland ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5WaylandClient5 libQt5WaylandCompositor5

- Update to 5.14.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtwayland.git/plain/dist/changes-5.14.1/?h=v5.14.1
- Drop patches, now upstream:
* 0001-Avoid-animating-single-frame-cursors.patch

==== libqt5-qtwebchannel ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5WebChannel5 libQt5WebChannel5-imports

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtwebchannel.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtwebengine ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtwebsockets ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5WebSockets5 libQt5WebSockets5-imports

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtwebsockets.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtx11extras ====
Version update (5.14.0 -> 5.14.1)

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtx11extras.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libqt5-qtxmlpatterns ====
Version update (5.14.0 -> 5.14.1)
Subpackages: libQt5XmlPatterns5 libqt5-qtxmlpatterns-imports

- Update to 5.14.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtxmlpatterns.git/plain/dist/changes-5.14.1/?h=v5.14.1

==== libsmbios ====
Subpackages: libsmbios-lang libsmbios_c2 python3-smbios python3-smbios-utils

- Move /usr/share/locale/en from the -lang package to the main
package: English is installed on all systems. This avoids
libsmbios-lang being triggered for installation on english-only
systems.
- Modernize spec.

==== libyui-ncurses ====
Version update (2.54.4 -> 2.54.5)

- bsc#1154694
- do not crash UI when terminal window is too tight for table
- 2.54.5

==== libzip ====
Version update (1.5.2 -> 1.6.0)

- version update to 1.6.0
* Avoid using umask() since it's not thread-safe.
* Set close-on-exec flag when opening files.
* Do not accept empty files as valid zip archives any longer.
* Add support for XZ compressed files (using liblzma).
* Add support for cancelling while closing zip archives.
* Add support for setting the time in the on-disk format.
- modified patches
% pkgconfig.patch (refreshed)
- deleted patches
- libzip-ocloexec.patch (upstreamed)

==== libzypp ====
Version update (17.21.0 -> 17.22.0)

- yum::Downloader: Prefer zchunk compressed metadata if libvsolv
supports it.
- BuildRequires: libsolv-devel >= 0.7.11.
- version 17.22.0 (22)

==== llvm9 ====
Subpackages: clang9 clang9-checker clang9-doc libLLVM9 libLTO9 libc++-devel
libc++1 libc++abi-devel libc++abi1 libclang9

- Add polly and lld build conditionals, remove excessive Requires
to clang from docs. Fix conditional for libc++ use.
[jsc#SLE-7400, jsc#SLE-7614, jsc#SLE-7452, jsc#SLE-8920, jsc#SLE-7390,
jsc#SLE-7587]

==== multipath-tools ====
Subpackages: kpartx libmpath0

- BuildRequire pkgconfig((lib)?udev) instead of (lib)?udev: allow
OBS to shortcut through the -mini flavors.

==== mutt ====
Subpackages: mutt-doc mutt-lang

- Be aware that it might be that the version is not found (boo#1162245)
- Add version check, that is if installed mutt version does not
fit the installing version then do notify message
- Add a notify message about behaviour/variable changes to inform
users about these (thanks to Roger Whittaker)

==== nautilus-share ====
Subpackages: nautilus-share-lang

- No longer recommend -lang: supplements are in use

==== ncurses ====
Subpackages: libncurses6 ncurses-devel ncurses-utils tack terminfo
terminfo-base terminfo-screen

- Add ncurses patch 20200104
+ modify a couple of macros in aclocal.m4 to allow autoconf 2.69 to
"work", to help illustrate discussion in
https://invisible-island.net/autoconf/my-autoconf.html
+ fix some warnings from autoheader-252
- Correct include path for ncursesw5 and co
- Add ncurses patch 20191228
+ in gen-pkgconfig.in, move the RPATH_LIST and PRIVATE_LIBS assignments
past the various prefix/libdir assignments, to allow for using those
symbols, e.g., as done via CF_SHARED_OPTS.
+ improve ncurses*-config and pc-files by filtering out linker-specs.
+ modify test-package to more closely match Fedora's configuration
for PIE/PIC feature and debug-packages.
- Add ncurses patch 20191221
+ correct pathname used in Ada95 sample programs for explain.txt, to
work with test-packages.
+ improve tracemunch:
+ keep track of TERMINAL* values
+ if tracing was first turned on after initialization, attempt to
show distinct screen, window and terminal names anyway.
+ ensure that GCC_NORETURN is defined in term.h, because the prototype
for exit_terminfo() uses it (report by Werner Fink).
- Remove patch workaround-20191214.patch as fixed upstream
- Add temporary patch workaround-20191214.patch to add missed
declaration of GCC_NORETURN in term.h
- Addd missing space between two include options for ABI 5
package configuration
- Also remove private requirements as (lib)tinfo are binary
compatible with normal and wide version of (lib)ncurses
- Add ncurses patch 20191214
+ add exit_curses() and exit_terminfo() to replace internal symbols for
leak-checking.
- Let helper script handle.linux call sed command smart
- Add ncurses patch 20191207
+ fix a few warnings for test-package builds
+ add curses_trace(), to replace trace().
- Add ncurses patch 20191130
+ add portability section to curs_getcchar manpage (prompted by
discussion with Nick Black).
+ improve portability discussion of ACS characters in curs_addch
manpage.
+ improve typography for double-quotes in manpages.
- Add ncurses patch 20191123
+ fix typo for MinGW rpm test-package.
+ workaround in rpm specs for NFS problems in Fedora 31.
- Add ncurses patch 20191116
+ modify ncurses/Makefile.in to fix a case where Debian/testing changes
to the ld --as-needed configuration broke ncurses-examples test
packages.
+ drop library-dependency on psapi for MinGW port, since win_driver.c
defines PSAPI_VERSION to 2, making it use GetProcessImageFileName
from kernel32.dll (prompted by patch by Simon Sobish, cf: 20140503).

==== netcfg ====

- Re-add host.conf with fixed comments, only remove libc 4/5
comments/entries.
- Remove host.conf, nothing is using that anymore
- Move ethers, networks, protocols and services to /usr/etc

==== open-vm-tools ====
Subpackages: libvmtools0 open-vm-tools-desktop

- BuildRequire pkgconfig(udev) instead of udev: allow OBS to
shortcut through the -mini flavor.
- Use systemd_ordering in place of systemd_requires: systemd is
never strictly required to run open-vm-tools.

==== paprefs ====
Subpackages: paprefs-lang

- No longer recommend -lang: supplements are in use

==== perl-Template-Toolkit ====
Version update (3.006 -> 3.007)

- updated to 3.007
see /usr/share/doc/packages/perl-Template-Toolkit/Changes
[#] Version 3.007 - TBA
[#]------------------------------------------------------------------------
* Fixes cpanm by adding VERSION to Template/Toolkit.pm
[#]-----------------------------------------------------------------------

==== perl-YAML ====
Version update (1.29 -> 1.30)

- updated to 1.30
see /usr/share/doc/packages/perl-YAML/Changes
1.30 Mon 27 Jan 2020 11:09:46 PM CET
- Breaking Change: Set $YAML::LoadBlessed default to false to make it more
secure

==== perl-YAML-LibYAML ====
Version update (0.80 -> 0.81)

- updated to 0.81
see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
0.81 Mon 27 Jan 2020 11:05:46 PM CET
- Breaking Change: Set $YAML::XS::LoadBlessed default to false to make it
more secure

==== presage ====
Subpackages: libpresage1 presage-data

- Add presage-0.9.1-python3.patch, port python binding and apps
to python3
- Rename subpackages:
* dbus-1-presage -> python3-dbus-presage
* python-presage -> python3-presage
* pyprompter -> python3-pyprompter
* python-presagemate -> python3-presagemate

==== python-SQLAlchemy ====
Version update (1.3.12 -> 1.3.13)

- specfile:
* update copyright year
- update to version 1.3.13:
* orm
+ Added test support and repaired a wide variety of unnecessary
reference cycles created for short-lived objects, mostly in the
area of ORM queries. Thanks much to Carson Ip for the help on
this. References: #5050, #5056, #5071
+ Fixed regression in loader options introduced in 1.3.0b3 via
[#4468] where the ability to create a loader option using
PropComparator.of_type() targeting an aliased entity that is an
inheriting subclass of the entity which the preceding
relationship refers to would fail to produce a matching
path. See also #5082 fixed in this same release which involves a
similar kind of issue. References: #5107
+ Fixed regression in joined eager loading introduced in 1.3.0b3
via #4468 where the ability to create a joined option across a
with_polymorphic() into a polymorphic subclass using
RelationshipProperty.of_type() and then further along regular
mapped relationships would fail as the polymorphic subclass
would not add itself to the load path in a way that could be
located by the loader strategy. A tweak has been made to resolve
this scenario. References: #5082
+ Repaired a warning in the ORM flush process that was not covered
by test coverage when deleting objects that use the ?version_id?
feature. This warning is generally unreachable unless using a
dialect that sets the ?supports_sane_rowcount? flag to False,
which is not typically the case however is possible for some
MySQL configurations as well as older Firebird drivers, and
likely some third party dialects. References: #5068
+ Fixed bug where usage of joined eager loading would not properly
wrap the query inside of a subquery when Query.group_by() were
used against the query. When any kind of result-limiting
approach is used, such as DISTINCT, LIMIT, OFFSET, joined eager
loading embeds the row-limited query inside of a subquery so
that the collection results are not impacted. For some reason,
the presence of GROUP BY was never included in this criterion,
even though it has a similar effect as using
DISTINCT. Additionally, the bug would prevent using GROUP BY at
all for a joined eager load query for most database platforms
which forbid non-aggregated, non-grouped columns from being in
the query, as the additional columns for the joined eager load
would not be accepted by the database. References: #5065
+ Identified a performance issue in the system by which a join is
constructed based on a mapped relationship. The clause adaption
system would be used for the majority of join expressions
including in the common case where no adaptation is needed. The
conditions under which this adaptation occur have been refined
so that average non-aliased joins along a simple relationship
without a ?secondary? table use about 70% less function calls.
* engine
+ Fixed issue where the collection of value processors on a
Compiled object would be mutated when ?expanding IN? parameters
were used with a datatype that has bind value processors; in
particular, this would mean that when using statement caching
and/or baked queries, the same compiled._bind_processors
collection would be mutated concurrently. Since these processors
are the same function for a given bind parameter namespace every
time, there was no actual negative effect of this issue,
however, the execution of a Compiled object should never be
causing any changes in its state, especially given that they are
intended to be thread-safe and reusable once fully constructed.
References: #5048
* sql
+ A function created using GenericFunction can now specify that
the name of the function should be rendered with or without
quotes by assigning the quoted_name construct to the .name
element of the object. Prior to 1.3.4, quoting was never applied
to function names, and some quoting was introduced in #4467 but
no means to force quoting for a mixed case name was
available. Additionally, the quoted_name construct when used as
the name will properly register its lowercase name in the
function registry so that the name continues to be available via
the func. registry. See also GenericFunction References: #5079
* postgresql
+ Added support for prefixes to the CTE construct, to allow
support for Postgresql 12 ?MATERIALIZED? and ?NOT MATERIALIZED?
phrases. Pull request courtesy Marat Sharafutdinov. See also:
HasCTE.cte() References: #5040
+ Fixed issue where the PostgreSQL dialect would fail to parse a
reflected CHECK constraint that was a boolean-valued function
(as opposed to a boolean-valued expression). References: #5039
+ Improved detection of two phase transactions requirement for the
PostgreSQL database by testing that max_prepared_transactions is
set to a value greater than 0. Pull request courtesy Federico
Caselli. References: #5057
* mssql
+ Fixed issue where a timezone-aware datetime value being
converted to string for use as a parameter value of a
mssql.DATETIMEOFFSET column was omitting the fractional seconds.
References: #5045
* misc
+ Fixed bug in sqlalchemy.ext.serializer where a unique
BindParameter object could conflict with itself if it were
present in the mapping itself, as well as the filter condition
of the query, as one side would be used against the
non-deserialized version and the other side would use the
deserialized version. Logic is added to BindParameter similar to
its ?clone? method which will uniquify the parameter name upon
deserialize so that it doesn?t conflict with its original.
References: #5086
+ Fixed a few test failures which would occur on Windows due to
SQLite file locking issues, as well as some timing issues in
connection pool related tests; pull request courtesy Federico
Caselli. References: #4946

==== python-certifi ====
Version update (2019.9.11 -> 2019.11.28)

- update to 2019.11.28
* Updates in enabled CAs

==== python-psutil ====

- Add pr_1665.patch: Future-proof disk_io_counters on Linux. Fixes
tests with Linux 5.5.

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-nfs qemu-block-rbd qemu-block-ssh qemu-extra
qemu-guest-agent qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-microvm qemu-ppc
qemu-s390 qemu-seabios qemu-sgabios qemu-tools qemu-ui-curses qemu-ui-gtk
qemu-ui-sdl qemu-ui-spice-app qemu-vgabios qemu-vhost-user-gpu qemu-x86

- Stop using system membarriers (ie switch from --enable-membarrier
to --disable-membarrier). This is a blocker for using qemu in the
context of containers (boo#1130134 jsc#SLE-11089)
- Drop this recently added patch - in consultation with upstream it
was decided it needed to be solved a different way (bsc#1159755)
hw-i386-disable-smbus-migration-for-xenf.patch
- Include upstream patches targeted for the next stable release
(bug fixes only)
block-backup-fix-memory-leak-in-bdrv_bac.patch
iscsi-Cap-block-count-from-GET-LBA-STATU.patch
s390x-adapter-routes-error-handling.patch
target-i386-kvm-initialize-feature-MSRs-.patch
- Include upstream patches targeted for the next stable release
(bug fixes only)
hw-i386-pc-fix-regression-in-parsing-vga.patch
m68k-Fix-regression-causing-Single-Step-.patch
migration-Rate-limit-inside-host-pages.patch
migration-test-ppc64-fix-FORTH-test-prog.patch
Revert-vnc-allow-fall-back-to-RAW-encodi.patch
runstate-ignore-finishmigrate-prelaunch-.patch
target-arm-Return-correct-IL-bit-in-merg.patch
target-arm-Set-ISSIs16Bit-in-make_issinf.patch
vnc-prioritize-ZRLE-compression-over-ZLI.patch
- BuildRequire pkconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.
- Use systemd_ordering in place of systemd_requires: systemd is
never a strict requirement for qemu; but when installing qemu on
a systemd-managed system, we want system to be present first.

==== qemu-linux-user ====

- Stop using system membarriers (ie switch from --enable-membarrier
to --disable-membarrier). This is a blocker for using qemu in the
context of containers (boo#1130134 jsc#SLE-11089)
- Drop this recently added patch - in consultation with upstream it
was decided it needed to be solved a different way (bsc#1159755)
hw-i386-disable-smbus-migration-for-xenf.patch
- Include upstream patches targeted for the next stable release
(bug fixes only)
block-backup-fix-memory-leak-in-bdrv_bac.patch
iscsi-Cap-block-count-from-GET-LBA-STATU.patch
s390x-adapter-routes-error-handling.patch
target-i386-kvm-initialize-feature-MSRs-.patch
- Include upstream patches targeted for the next stable release
(bug fixes only)
hw-i386-pc-fix-regression-in-parsing-vga.patch
m68k-Fix-regression-causing-Single-Step-.patch
migration-Rate-limit-inside-host-pages.patch
migration-test-ppc64-fix-FORTH-test-prog.patch
Revert-vnc-allow-fall-back-to-RAW-encodi.patch
runstate-ignore-finishmigrate-prelaunch-.patch
target-arm-Return-correct-IL-bit-in-merg.patch
target-arm-Set-ISSIs16Bit-in-make_issinf.patch
vnc-prioritize-ZRLE-compression-over-ZLI.patch
- BuildRequire pkconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.
- Use systemd_ordering in place of systemd_requires: systemd is
never a strict requirement for qemu; but when installing qemu on
a systemd-managed system, we want system to be present first.

==== qpdf ====
Version update (9.1.0 -> 9.1.1)

- Update to version 9.1.1
* fix-qdf is rewritten in C++
* Added options --is-encrypted and --requires-password for testing
whether a file is encrypted or requires a password other than
the supplied (or empty) password.
* Added encrypt key to JSON options. With the exception of the
reconstructed user password for older encryption formats,
this provides the same information as --show-encryption but in
a consistent, parseable format. See output of qpdf --json-help
for details.
* In QDF mode, be sure not to write more than one XRef stream to a
file, even when --preserve-unreferenced is used. fix-qdf
assumes that there is only one XRef stream, and that it appears
at the end of the file.
* When externalizing inline images, properly handle images whose
color space is a reference to an object in the page's resource
dictionary.

==== rdma-core ====
Subpackages: libefa1 libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Add disable-rdma-interface-renaming.patch to disable interface renaming which
causes
mvapich2 to fail (bsc#1161794)

==== redis ====

- Don't install redis-trib.rb, it's only a dummy telling the user
to use redis-cli instead and pulls in ruby for that.

==== rubygem-byebug ====
Version update (11.0.1 -> 11.1.1)

- updated to version 11.1.1
[#]## Fixed
* [#635](https://github.com/deivid-rodriguez/byebug/pull/635): usage
on Fedora 31 or any other `byebug` installation performed by a
`rubygems` copy customized by setting `Gem.install_extension_in_lib` to false.

==== rubygem-rspec-core ====
Version update (3.9.0 -> 3.9.1)

- updated to version 3.9.1
[#] Bug Fixes:
* Prevent bisect command from blocking when number of specs exceeds
file descriptor limit on OSX or Linux. (Benoit Tigeot, #2669)
* Prevent warnings being issued on Ruby 2.7.0. (Jon Rowe, #2680)

==== rubygem-rspec-mocks ====
Version update (3.9.0 -> 3.9.1)

- updated to version 3.9.1
[#] Bug Fixes:
* Trigger RSpec::Mocks.configuration.verifying_double_callbacks when
using allow_any_instance_of or expect_any_instance_of (Daniel Orner, #1309)

==== rubygem-rspec-support ====
Version update (3.9.0 -> 3.9.2)

- updated to version 3.9.2
* Remove unneeded eval. (Matijs van Zuijlen, #394)

==== sendmail ====
Subpackages: libmilter1_0

- Add upstream patch 8.15.2.mci.p0
* If sendmail tried to reuse an SMTP session which had already been
closed by the server, then the connection cache could have invalid
information about the session. One possible consequence was that
STARTTLS was not used even if offered.

==== sharutils ====
Subpackages: sharutils-lang

- Add -fcommon to optflags. This fixes (boo#1160292), and can be
removed if upstream releases a version which compiles with
- fno-common

==== snapper ====
Version update (0.8.8 -> 0.8.9)
Subpackages: libsnapper5 snapper-zypp-plugin

- Fix "Snapper is not creating the post snapshot" (bsc#1160938)
- Fix `make clean; make check` failing in zypp-plugin (bsc#1160891)
- version 0.8.9

==== spec-cleaner ====
Version update (1.1.7 -> 1.1.8)

- Update to 1.1.8 bsc#1099674:
* Change libexecdir substitution to do /usr/libexec to %{_libexecdir}
* Exclude apache_rex_check from bracketing
* Add testscase for boolean dependencies that gets mangled currently
* Do not remove -p0 from autosetup
* Use %make_build if possible issue
* Teach spec-cleaner to not break the %elif* macros added with
rpm 4.15
* Fixup the nested boolean dependencies
* Fixup whitespace reported by flake8
* Set explicit urllib timeout issue
* Replace more stuff for %make build

==== speech-dispatcher ====
Subpackages: libspeechd2 python3-speechd speech-dispatcher-configure
speech-dispatcher-module-espeak

- Remove texlive-texinfo build dependency. The tarball contains
the info files, and even without plain makeinfo would be sufficient.
- Correct license for library and python bindings, these are
LGPL-2.1-or-later since version 0.8.2.
- Correct typo in Recommends: speech-dispatcher-module-espeak

==== sqlite3 ====
Version update (3.30.1 -> 3.31.1)
Subpackages: libsqlite3-0

- SQLite 3.31.1:
* Revert changes to the data layout for an internal data structure
- SQLite 3.31.0:
* add support for generated columns
* various fixes and improvements
- drop upstreamed patches:
* 8a39167bd2-Further-improvements-to-LEFT-JOIN.patch
* fix_dir_exists_on_btrfs.patch
* 7833feecfe-Prevent-SQLite-from-bad-NULL-assumption.patch
* 548082dfab-Improvements-to-the-LEFT-JOIN.patch
* sqlite3-avoid-truncation-error.patch

==== suil ====

- Drop bogus python(2)-qt5 runtime dependencies, python is only
required for the build system.
- Remove unused python3-rdflib build dependency.

==== tpm2-0-tss ====
Subpackages: libtss2-esys0 libtss2-mu0 libtss2-sys0

- BuildRequire pkgconfig(udev) instead of udev: allow OBS to
shortcut through the -mini flavor.

==== tracker ====
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- No longer recommend -lang: supplements are in use

==== virt-what ====

- Add "which" to Requires
* Fixes boo#1161850

==== virtualbox ====
Version update (6.0.14 -> 6.1.2)
Subpackages: virtualbox-guest-tools virtualbox-guest-x11 virtualbox-kmp-default

- Version update to 6.1.2 (released January 14 2020i by Oracle)
18 Vulnerabilities fixed: CVE-2020-2674 CVE-2020-2682 CVE-2020-2698
CVE-2020-2701 CVE-2020-2702 CVE-2020-2726
CVE-2020-2681 CVE-2020-2689 CVE-2020-2690 CVE-2020-2691 CVE-2020-2692
CVE-2020-2703
CVE-2020-2704 CVE-2020-2705 CVE-2020-2725 CVE-2020-2678 CVE-2020-2727
CVE-2020-2693
See bsc#1161050
File "fixes_for_leap15.2.patch" added to fix build for Leap 15.2.
File "vbox_fix_for_gcc7.patch" is deleted - fixed upstream.
File "fixes_for_5.4.patch" is deleted - fixed upstream.
Exclude 32-bit builds
Update so the openSUSE Leap 42.3 builds OK.
As announced earlier by Oracle, 32-bit builds are no longer supported.
This is a maintenance release. The following items were fixed and/or added:
Virtualization core: fixed performance issue observed with Windows XP guests
on AMD hosts (6.0.0 regression; bug #19152)
Virtualization core: consistent IBRS/IBPB CPUID feature reporting, avoids
crash of NetBSD 9.0 RC1 installer (bug #19146)
GUI: fixed updating of runtime info
GUI: in Display settings, do not show "2D video acceleration" checkbox if it
is meaningless for the selected graphics adapter
Audio: fixed audio input handling when VRDE is enabled
Audio: fixed crash in the HDA emulation when using multi-speaker
configurations
Storage: fixed use of encrypted disks with snapshots involved (6.1.0
regression; bug #19160)
Storage: improve performance of virtio-scsi
Storage: read-only support for compressed clusters in QCOW2 images
Linux host: Support Linux 5.5 (guest additions not yet)
Windows guest: accelerate 2D video decoding (scaling and color space
conversion) if the VM is configured to use VBoxSVGA with 3D enabled
Windows guest: fix guest additions installer to upgrade the mouse filter
driver reliably
Windows guest: when uninstalling older Guest Additions with old 3D support
enabled try restoring original Direct3D files
Linux guest: improve resize and multi-monitor handling for VMs using VMSVGA
(known remaining issue: do not disable a monitor "in the middle", causes
confusion)
- Version update to 6.1.0 (released December 10 2019 by Oracle)
- Fixes bsc#1132102.
- Removed file "set_graphics_type.patch" as the problem is fixed upstream.
This is a major update. The following major new features were added:
- Implemented support for importing a virtual machine from Oracle Cloud
Infrastructure
- Extended support for exporting a virtual machine to Oracle Cloud
Infrastructure, allowing the creation
of multiple virtual machines without re-uploading. Also added option to
export a VM to the cloud using the more efficient
variant "paravirtialized", and to specify free-form tags for cloud images
- Virtualization core: Support for nested hardware-virtualization on Intel
CPUs (starting with 5th generation Core i,
codename Broadwell), so far tested only with guest running VirtualBox
- Graphics: New style 3D support (with VBoxSVGA and VMSVGA) remains, old
style 3D support (with VBoxVGA) has been completely removed
- Shared Clipboard: Implemented experimental support for file transfers
(Windows hosts/guests only at the moment).
Needs to be enabled via VBoxManage (disabled by default). In addition, the
following items were fixed and/or added:
In addition, the following items were fixed and/or added:
- Virtualization core: Drop recompiler, i.e. running VMs now needs a CPU
supporting hardware virtualization
- Runtime: Works now on hosts with many CPUs (limit now 1024)
- Appliance and Cloud Import: Add field for defining firmware type (not part
of OVF spec and thus manual in the Appliance case,
for OCI it is automatically taken from the instance information)
- GUI: Improved the VISO creation and file manager dialogs
- GUI: Virtual machine list of VirtualBox Manager was improved. Machine
groups are now more obvious visually and VM
search functionality has been improved. Global Tools element can now be
pinned in place, to avoid scrolling it with rest of machine list
- GUI: Virtual machine details pane is now extended with embedded editors for
selected VM attributes, allowing user to edit them
on-the-fly byi clicking corresponding hyper-links without opening VM settings
dialog
- GUI: Details pane provides more complete information
- GUI: Internal medium enumeration routines were optimized to reduce the load
and optimize the performance in cases when
user have lots of media registered. Also, we again allowed to add existing
media (and create new) via Virtual Media Manager
- GUI: More consistent medium selection (both showing known images and
allowing to select using the file picker)
- GUI: VM storage settings page was adjusted a bit in usability regard. User
is now allowed to change controller bus type
and can move attachments between the controllers by using drag and drop
- GUI: Storage and Network settings pages bug-fixes and usability optimization
- GUI: Added a new soft (virtual) keyboard enabling arbitrary keyboard input
to guests, including multimedia keys
- GUI: Fixed crash in cloud related wizards when accessibility functionality
was enabled
- GUI: Show VM CPU load as part of status bar CPU indicator
- GUI: Improved and extended the Session Information dialog
- GUI: Fixed/improved mouse pointer scaling
- GUI: Some issues related to mouse integration cursor scaling were addressed
(bug #14366), more to go
- GUI: Fix and unify geometry save/restore in various dialogs
- GUI: Added the missing restriction options for disabling new functionality
such as the VISO creator
- GUI: Popup messages mouse click fix
- Graphics: Remove 3D support for VBoxVGA (old one deprecated with 6.0)
- Graphics: Additional texture format support on Windows host
- Graphics: Improved fix for flickering on Windows host
- Input: Added support for horizontal scrolling in the PS/2 mouse device
using the IntelliMouse Explorer protocol.
Note that this support is automatically used by Linux guests but not by
Windows guests
- vboximg-mount: Experimental support for direct read-only access to NTFS,
FAT and ext2/3/4 filesystems inside a disk
image without the need for support on the host
- vboximg-mount: Now also available on Linux host
- Storage: Experimental support for virtio-scsi, for both hard disks and
optical drives (including boot support in BIOS)
- Storage: For optical drive emulation fix empty host drive crash
- USB: Improvements for EHCI controller implementation
- USB: Filter can now specify port path, uniquely identifying a port in a
system
- NAT: Fix TFTP OACK response, send only if request has options
- NAT Network: Use non-blocking sockets on Linux for accepted incoming
connections (port forwarding)
- PCnet-ISA: Added new network adapter type, currently CLI only
- Audio: Allow changing the host audio backend while the VM is in saved state
- ACPI: Report NVMe controller
- VGA: Improve hardware and BIOS compatibility
- VBoxSVGA/VMSVGA: Support YUV2 and related texture formats with hosts using
OpenGL (macOS and Linux),
which accelerates video playback when 3D is enabled by delegating the color
space conversion to the host GPU
- VBoxSVGA/VMSVGA: Several drawing fixes for the 3D case
- VMSVGA 3D: Fixed OpenGL compressed textures
- VBoxManage: More cloud functionality coverage, e.g. starting a cloud
instance
- VBoxManage: As part of the guest control feature support moving multiple
source files/directories to a target directory
- Guest Control/VBoxManage: Added support for specifying multiple sources
when renaming guest files
- VBoxManage: Show "unrestricted guest" and "nested HW virtualization" CPU
features when listing the host information
- API: Reduce the amount of leftovers from Move VM function
- Shared Clipboard: Implemented experimental support for file transfers for
Linux hosts on Windows guests (disabled by default)
- SMBIOS: Store system UUID in little endian format which is the default for
new VMs, while existing VMs stick to the old VirtualBox
behavior of storing them in big endian format for backwards compatibility to
avoid breaking the activation status of Windows VMs
- VBoxSDL frontend: Fixed running on Windows hosts
- Linux host: Improve vboxweb systemd service dependency information
- Linux host: Drop PCI passthrough, the current code is too incomplete
(cannot handle PCIe devices at all), i.e. not useful enough
- Linux host and guest: Support Linux 5.4 (bug #18945)
- Linux host and guest: Force disabling of kernel module signing during build
(user can do it afterwards)
- Windows Guest Additions: Many fixes for drawing problems in the driver for
VBoxSVGA
- Windows Guest Additions: Fixes for legacy VBoxVGA adapter, restore
previously working cases
- Windows Guest Additions: Restore VHWA functionality for VBoxSVGA
- Windows guest: DXVA implementation for WDDM driver
- Documentation: Updated supported host operating systems, added few new
manual pages (more to come later)
- EFI: Switch to newer firmware code base and add NVRAM support, should
improve compatibility with OSes significantly
- EFI: Added support for booting from APFS
- EFI: Added support for non-standard SATA and NVMe boot device paths created
by OS X
- Turn build of vboxvideo back on just in case VB is used with an older kernel,
and make the necessary fixes for kernel v5.5.

==== wireguard ====
Version update (0.0.20200121_k5.4.14_1 -> 0.0.20200128_k5.4.14_2)

- Update to version 0.0.20200128
* qemu: bump kernel
* compat: refuse to build on >= 5.6
* compat: account for frankenzinc being in 5.5

==== xdm ====
Subpackages: xdm-xsession

- Require insserv-compat: /usr/lib/X11/display-manager sources
/etc/rc.status, which is part of insserv-compat. Without this
present, display-manager fails to start up.

==== yast2 ====
Version update (4.2.59 -> 4.2.61)
Subpackages: yast2-logs

- Speed up run on WSL (bsc#1157575)
- 4.2.61
- Added classes for handling the old repository setup during
upgrade (related to bsc#1159433)
- 4.2.60

==== yast2-add-on ====
Version update (4.2.13 -> 4.2.15)

- Fix in installation workflow: Can go back from
"Available Extensions and Modules" to registration (bsc#1160501).
- 4.2.15
- Drop fake CLI that opens GUI and suggest to use zypper or
SUSEConnect instead (bsc#1149900)
- 4.2.14

==== yast2-metapackage-handler ====
Version update (4.1.0 -> 4.1.1)

- remove obsolete patch 103.diff
- remove obsolete patch SLE.diff
- rewrite YMP file parsing (bsc#1138638)
- fix YMP schema definitions
- add YMP examples
- remove perl dependency
- 4.1.1

==== yast2-nfs-client ====
Version update (4.2.5 -> 4.2.6)

- fix return code for cli `yast2 nfs list` (bsc#1150070)
- Add error message when delete failed due to not found entry
- 4.2.6

==== yast2-nfs-server ====
Version update (4.2.3 -> 4.2.4)
Subpackages: yast2-nfs-common

- Fix exit codes for CLI (bsc#1142979)
- nicer error messages when CLI is wrongly used or failed
(bsc#1142979)
- 4.2.4

==== yast2-packager ====
Version update (4.2.44 -> 4.2.47)

- Don't overwrite the default English license for add-on modules
with the translated license of the current installation language
(bsc#1160806)
- 4.2.47
- Move y2packager/repository.rb to the yast2.rpm
(related to bsc#1159433)
- 4.2.46
- Enable the online_search if system is registered (jsc#SLE-9109).
- 4.2.45

==== yast2-storage-ng ====
Version update (4.2.77 -> 4.2.80)

- Added package requirement for UF_PLAIN_ENCRYPTION (bsc#1160773)
- 4.2.80
- also mask swap units in mask-systemd-units (bsc#1152545)
- 4.2.79
- reduce min height of dialogs (bsc#1161651)
- drop noatime, acl and xattr options in "Fstab Options" dialog
(bsc#1135723)
- change mount by method to combobox in "Fstab Options" dialog
(bsc#1135723)
- 4.2.78

==== yast2-trans ====
Version update (84.87.20200120.e0f29e95cb -> 84.87.20200126.9a7b6214a1)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sr yast2-trans-sv yast2-trans-tr
yast2-trans-uk yast2-trans-vi yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN
yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20200126.9a7b6214a1:
* Translated using Weblate (Slovak)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Albanian)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Slovak)
* Translated using Weblate (German)
* Translated using Weblate (German)
* Translated using Weblate (German)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* New POT for text domain 'users'.
* New POT for text domain 'storage'.
* New POT for text domain 'registration'.
* New POT for text domain 'qt-pkg'.
* New POT for text domain 'nfs_server'.
* New POT for text domain 'nfs'.
* New POT for text domain 'ncurses-pkg'.
* Translated using Weblate (Slovak)
* New POT for text domain 'registration'.
* New POT for text domain 'packager'.
* New POT for text domain 'installation'.
* New POT for text domain 'ftp-server'.
* New POT for text domain 'country'.
* New POT for text domain 'base'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* New POT for text domain 'base'.
* Translated using Weblate (Czech)
* Translated using Weblate (Slovak)
* Translated using Weblate (Czech)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* New POT for text domain 'storage'.
* New POT for text domain 'qt-pkg'.
* New POT for text domain 'ncurses-pkg'.
* New POT for text domain 'country'.
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* Translated using Weblate (Slovak)
* Add dummy translations for new modules
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (German)
* Translated using Weblate (Dutch)
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* Translated using Weblate (Japanese)
* Translated using Weblate (German)
* New POT for text domain 'nfs'.
* Translated using Weblate (Slovak)
* Translated using Weblate (German)

==== yast2-users ====
Version update (4.2.7 -> 4.2.8)

- Fix return code for `yast2 users list` and `yast2 users show`
(bsc#1143516)
- 4.2.8


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups